package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingCouponCreateactivityRequest struct {
	/*
	   创建优惠券活动请求入参     */
	Param *domain.AlibabaHmMarketingCouponCreateactivityCouponActivity `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingCouponCreateactivityRequest) SetParam(v domain.AlibabaHmMarketingCouponCreateactivityCouponActivity) *AlibabaHmMarketingCouponCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingCouponCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingCouponCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
